Bug 118924 - RFE: graphical print client
RFE: graphical print client
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-03-22 15:53 EST by Tammy Fox
Modified: 2014-01-21 17:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-10-21 11:47:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tammy Fox 2004-03-22 15:53:39 EST
/usr/share/printconf/util/print.py is a great little program to allow
you to select a printer to print to. It would be nice to have a
command in /usr/bin/ such as /usr/bin/system-select-printer so that it
could be used like kprinter to select a printer from any print dialog.
Comment 1 Seth Vidal 2004-04-02 09:22:12 EST
Is this being passed around a bit on the fedora-config-list to see if
anyone wants to work on it more? It'd be great if it expanded into a
printer option configuration tool, like kprinter.
Comment 2 Seth Vidal 2004-04-06 14:06:06 EDT
worth investingating - he claims he has a gtk2 port in cvs somewhere.
currently gtk1 - but for fc3 might be gtk2 option.
Comment 3 Seth Vidal 2004-04-06 18:06:00 EDT
packages of the gtk1 client built for fc2t2 are here:

I know it cannot be included, I'm not asking that it would be - but
it's a good place to look - and yes it does print correctly and set
options with reasonable sanity.
Comment 4 LENHOF 2004-04-24 15:10:43 EDT
What about gnome-cups-manager ?
Comment 5 Tim Waugh 2004-04-29 12:16:13 EDT
Isn't that for *configuring* queues, not for printing to them? [I
haven't looked in detail yet.]

What we're looking for in this RFE is a graphical application to act
like lpr(1).
Comment 6 Seth Vidal 2004-05-04 23:45:35 EDT
yes, it's for configuring queues - which system-config-printers does
just fine.

qtcups builds and runs on fc2 just fine - I know it's deprecated - but
it's a damn-sight faster than kprinter is.

For now I'll just install qtcups  and tell people to use that for
non-kde apps.

This is something to think about for the future, though.

Comment 7 Tammy Fox 2004-05-05 17:52:26 EDT
Any reason not to move the existing /usr/share/printconf/util/print.py
to /usr/bin/system-select-printer and tell people to use it for
non-kde apps? It does the essential task -- allows you to select a
print queue to print to in a pull-down menu, is faster than kprinter
as well, and would already be installed for most systems.
Comment 8 Seth Vidal 2004-05-05 23:45:35 EDT
it doesn't do nearly enough. It'd be very limiting for most users and
I think frustrating. I think I'd rather see nothing than something
that had that few options.
Comment 9 David Juran 2005-06-20 07:38:18 EDT
In RHEL4 I still see no obvious way for a user to, from his default desktop,
configure printer options e.g. setting a printer to use duplex. What I'm looking
for is a graphical tool, that can do the same thing as the command line tool
lpoptions can. I suppose kprinter would solve my problem, but shouldn't there be
something slightly more integrated with the default gnome desktop?
Comment 10 Tim Waugh 2009-10-21 11:47:28 EDT
I think the GTK+ print dialog solves this really.

Note You need to log in before you can comment on or make changes to this bug.